function renderBlocks(blocks) {
    blocks.forEach(renderBlock);
}
function renderBlock(block) {
    const blocksListElement = ensureBlocksListElement();
    mountBlock(blocksListElement, block);
}
function mountBlock(parent, block) {
    try {
        const blockElement = createBlockElement(parent, block.name);
        const vue = getVue();
        const Block = vue.extend(block);
        new Block().$mount(blockElement);
    }
    catch (e) {
        console.error(e);
        throw new Error('Can\'t find Vue context');
    }
}
function ensureBlocksListElement() {
    const blocksListElement = document.getElementById('blocks');
    return blocksListElement !== null && blocksListElement !== void 0 ? blocksListElement : createBlocksListElement();
}
function createBlocksListElement() {
    const blockListElement = document.createElement('div');
    blockListElement.id = 'blocks';
    document.body.appendChild(blockListElement);
    return blockListElement;
}
function createBlockElement(parent, blockName) {
    const blockElementWrapper = document.createElement('div');
    blockElementWrapper.setAttribute('data-block', blockName);
    const blockContainer = document.createElement('div');
    blockElementWrapper.appendChild(blockContainer);
    parent.appendChild(blockElementWrapper);
    return blockContainer;
}
function getVue() {
    const app = document.getElementById('app');
    return app.__vue__.$options._base;
}
window.__renderBlocks = renderBlocks;
window.__renderBlock = renderBlock;
//# sourceMappingURL=renderBlocks.js.map