/// <reference types="node" />
import { Browser, BrowserContext, BrowserLaunchArgumentOptions, Page, ScreenshotOptions, WaitForOptions } from 'puppeteer-core';
import { FacadePuppeteerOptions, requirePuppeteerCb, ScreenOptions } from '../../interfaces';
export default class FacadePuppeteer {
    page: Page;
    browser: Browser | BrowserContext;
    private readonly stopImageRequests;
    closeBrowser: () => Promise<void>;
    static create(options?: FacadePuppeteerOptions): FacadePuppeteer;
    constructor(options?: FacadePuppeteerOptions);
    createPage(url: string, requirePuppeteerCb: requirePuppeteerCb, waitForOptions: WaitForOptions, rendererOptions?: BrowserLaunchArgumentOptions, browserUrl?: string): Promise<void>;
    hostContent(url: string): Promise<{
        pageUrl: string;
        server: import("http").Server<typeof import("http").IncomingMessage, typeof import("http").ServerResponse>;
    } | {
        pageUrl: string;
        server?: undefined;
    }>;
    exposeClone(): Promise<void>;
    addScriptsToPage(scripts: string[]): Promise<void>;
    screenshot(opts: ScreenshotOptions): Promise<void>;
    createRequestInterceptor(opts: ScreenOptions, requestedFile: string): Promise<void>;
    renderBlocks(contentPath: string, blocks?: string[]): Promise<void>;
    getWindowData(windowProps: string[]): Promise<Record<string, Block[]>>;
    getElement(selector: string): Promise<import("puppeteer-core").ElementHandle<Element>>;
    blockImageRequests(): Promise<void>;
}
